CMemberFunctionTraits.h File Reference
`#include <polybori/pbori_defs.h>`

Go to the source code of this file.

## Classes

class | polybori::CMemberFunctionTraits< MemberFuncPtr >
| This template class defines related types for member function pointer. More...
class | polybori::CMemberFunctionTraitsBase< Type, ResultType, ArgType, ObjRef >
| Axuiliary class. More...
class | polybori::CMemberFunctionTraits< ResultType(Type::*)()>
class | polybori::CMemberFunctionTraits< ResultType(Type::*)() const >
class | polybori::CMemberFunctionTraits< ResultType(Type::*)(ArgType)>
class | polybori::CMemberFunctionTraits< ResultType(Type::*)(ArgType) const >
class | polybori::MemberFunctionOperator< MemberFct >

## Namespaces

| polybori

## Functions

template<class MemberFct >
MemberFunctionOperator< MemberFct > | polybori::member_function_operator (MemberFct func)

## Detailed Description

Author
  Alexander Dreyer

Date
  2010-08-30

This file define a template, which extracts related types from a member function pointer.

We use the notation of boost::function_traits as much as possible.

Copyright:
  (c) 2010 by The PolyBoRi Team